Package com.smartgwt.client.tools

# Class PublishScreenConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.PublishScreenConfig

All Implemented Interfaces:
  `HasHandlers`

public class PublishScreenConfig extends DataClass
Configuration for `Reify.publishScreen()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublishScreenConfig()`
  `PublishScreenConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getDataSources()`
  DataSource IDs to register in the project's `<datasources>` section via `Reify.addDataSourcesToProject()`.
  `EditContext`
  `getEditContext()`
  The EditContext whose contents should be published.
  `static PublishScreenConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getProjectName()`
  Name of the Reify project the screen is added to.
  `String`
  `getScreenName()`
  Name for the screen in Reify storage.
  `String`
  `getScreenXml()`
  Raw screen XML to publish.
  `String`
  `getSkin()`
  Skin name baked into the published URL.
  `PublishScreenConfig`
  `setDataSources(String... dataSources)`
  DataSource IDs to register in the project's `<datasources>` section via `Reify.addDataSourcesToProject()`.
  `PublishScreenConfig`
  `setEditContext(EditContext editContext)`
  The EditContext whose contents should be published.
  `PublishScreenConfig`
  `setProjectName(String projectName)`
  Name of the Reify project the screen is added to.
  `PublishScreenConfig`
  `setScreenName(String screenName)`
  Name for the screen in Reify storage.
  `PublishScreenConfig`
  `setScreenXml(String screenXml)`
  Raw screen XML to publish.
  `PublishScreenConfig`
  `setSkin(String skin)`
  Skin name baked into the published URL.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PublishScreenConfig

    public PublishScreenConfig()

  - ### PublishScreenConfig

    public PublishScreenConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static PublishScreenConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setDataSources

    public PublishScreenConfig setDataSources(String... dataSources)
    DataSource IDs to register in the project's `<datasources>` section via `Reify.addDataSourcesToProject()`. The DS definitions must already exist in `vbDataSources` storage.
    Parameters:
      `dataSources` - New dataSources value. Default value is null
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getDataSources

    public String[] getDataSources()
    DataSource IDs to register in the project's `<datasources>` section via `Reify.addDataSourcesToProject()`. The DS definitions must already exist in `vbDataSources` storage.
    Returns:
      Current dataSources value. Default value is null

  - ### setEditContext

    public PublishScreenConfig setEditContext(EditContext editContext)
    The EditContext whose contents should be published. Mutually exclusive with `screenXml`. The EditContext is serialized and wrapped in a DataView root via `Reify._ensureDataViewRoot()` automatically.
    Parameters:
      `editContext` - New editContext value. Default value is null
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getEditContext

    public EditContext getEditContext()
    The EditContext whose contents should be published. Mutually exclusive with `screenXml`. The EditContext is serialized and wrapped in a DataView root via `Reify._ensureDataViewRoot()` automatically.
    Returns:
      Current editContext value. Default value is null

  - ### setProjectName

    public PublishScreenConfig setProjectName(String projectName)
    Name of the Reify project the screen is added to. Created if it does not exist.
    Parameters:
      `projectName` - New projectName value. Default value is "GeneratedReports"
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getProjectName

    public String getProjectName()
    Name of the Reify project the screen is added to. Created if it does not exist.
    Returns:
      Current projectName value. Default value is "GeneratedReports"

  - ### setScreenName

    public PublishScreenConfig setScreenName(String screenName)
    Name for the screen in Reify storage. If omitted, a timestamp-suffixed name is generated automatically (`Screen_YYYYMMDD_HHMMSS`).
    Parameters:
      `screenName` - New screenName value. Default value is null
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getScreenName

    public String getScreenName()
    Name for the screen in Reify storage. If omitted, a timestamp-suffixed name is generated automatically (`Screen_YYYYMMDD_HHMMSS`).
    Returns:
      Current screenName value. Default value is null

  - ### setScreenXml

    public PublishScreenConfig setScreenXml(String screenXml)
    Raw screen XML to publish. Mutually exclusive with `editContext`. Must already have a DataView root.
    Parameters:
      `screenXml` - New screenXml value. Default value is null
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getScreenXml

    public String getScreenXml()
    Raw screen XML to publish. Mutually exclusive with `editContext`. Must already have a DataView root.
    Returns:
      Current screenXml value. Default value is null

  - ### setSkin

    public PublishScreenConfig setSkin(String skin)
    Skin name baked into the published URL.
    Parameters:
      `skin` - New skin value. Default value is null
    Returns:
      `PublishScreenConfig` instance, for chaining setter calls

  - ### getSkin

    public String getSkin()
    Skin name baked into the published URL.
    Returns:
      Current skin value. Default value is null